const supportedEncodings = {};
supportedEncodings["unicode-1-1-utf-8"] = "utf-8";
supportedEncodings["utf-8"] = "utf-8";
supportedEncodings["utf8"] = "utf-8";
supportedEncodings["866"] = "ibm866";
supportedEncodings["cp866"] = "ibm866";
supportedEncodings["csibm866"] = "ibm866";
supportedEncodings["ibm866"] = "ibm866";
supportedEncodings["csisolatin2"] = "iso-8859-2";
supportedEncodings["iso-8859-2"] = "iso-8859-2";
supportedEncodings["iso-ir-101"] = "iso-8859-2";
supportedEncodings["iso8859-2"] = "iso-8859-2";
supportedEncodings["iso88592"] = "iso-8859-2";
supportedEncodings["iso_8859-2"] = "iso-8859-2";
supportedEncodings["iso_8859-2:1987"] = "iso-8859-2";
supportedEncodings["l2"] = "iso-8859-2";
supportedEncodings["latin2"] = "iso-8859-2";
supportedEncodings["csisolatin3"] = "iso-8859-3";
supportedEncodings["iso-8859-3"] = "iso-8859-3";
supportedEncodings["iso-ir-109"] = "iso-8859-3";
supportedEncodings["iso8859-3"] = "iso-8859-3";
supportedEncodings["iso88593"] = "iso-8859-3";
supportedEncodings["iso_8859-3"] = "iso-8859-3";
supportedEncodings["iso_8859-3:1988"] = "iso-8859-3";
supportedEncodings["l3"] = "iso-8859-3";
supportedEncodings["latin3"] = "iso-8859-3";
supportedEncodings["csisolatin4"] = "iso-8859-4";
supportedEncodings["iso-8859-4"] = "iso-8859-4";
supportedEncodings["iso-ir-110"] = "iso-8859-4";
supportedEncodings["iso8859-4"] = "iso-8859-4";
supportedEncodings["iso88594"] = "iso-8859-4";
supportedEncodings["iso_8859-4"] = "iso-8859-4";
supportedEncodings["iso_8859-4:1988"] = "iso-8859-4";
supportedEncodings["l4"] = "iso-8859-4";
supportedEncodings["latin4"] = "iso-8859-4";
supportedEncodings["csisolatincyrillic"] = "iso-8859-5";
supportedEncodings["cyrillic"] = "iso-8859-5";
supportedEncodings["iso-8859-5"] = "iso-8859-5";
supportedEncodings["iso-ir-144"] = "iso-8859-5";
supportedEncodings["iso88595"] = "iso-8859-5";
supportedEncodings["iso_8859-5"] = "iso-8859-5";
supportedEncodings["iso_8859-5:1988"] = "iso-8859-5";
supportedEncodings["arabic"] = "iso-8859-6";
supportedEncodings["asmo-708"] = "iso-8859-6";
supportedEncodings["csiso88596e"] = "iso-8859-6";
supportedEncodings["csiso88596i"] = "iso-8859-6";
supportedEncodings["csisolatinarabic"] = "iso-8859-6";
supportedEncodings["ecma-114"] = "iso-8859-6";
supportedEncodings["iso-8859-6"] = "iso-8859-6";
supportedEncodings["iso-8859-6-e"] = "iso-8859-6";
supportedEncodings["iso-8859-6-i"] = "iso-8859-6";
supportedEncodings["iso-ir-127"] = "iso-8859-6";
supportedEncodings["iso8859-6"] = "iso-8859-6";
supportedEncodings["iso88596"] = "iso-8859-6";
supportedEncodings["iso_8859-6"] = "iso-8859-6";
supportedEncodings["iso_8859-6:1987"] = "iso-8859-6";
supportedEncodings["csisolatingreek"] = "iso-8859-7";
supportedEncodings["ecma-118"] = "iso-8859-7";
supportedEncodings["elot_928"] = "iso-8859-7";
supportedEncodings["greek"] = "iso-8859-7";
supportedEncodings["greek8"] = "iso-8859-7";
supportedEncodings["iso-8859-7"] = "iso-8859-7";
supportedEncodings["iso-ir-126"] = "iso-8859-7";
supportedEncodings["iso8859-7"] = "iso-8859-7";
supportedEncodings["iso88597"] = "iso-8859-7";
supportedEncodings["iso_8859-7"] = "iso-8859-7";
supportedEncodings["iso_8859-7:1987"] = "iso-8859-7";
supportedEncodings["sun_eu_greek"] = "iso-8859-7";
supportedEncodings["csiso88598e"] = "iso-8859-8";
supportedEncodings["csisolatinhebrew"] = "iso-8859-8";
supportedEncodings["hebrew"] = "iso-8859-8";
supportedEncodings["iso-8859-8"] = "iso-8859-8";
supportedEncodings["iso-8859-8-e"] = "iso-8859-8";
supportedEncodings["iso-ir-138"] = "iso-8859-8";
supportedEncodings["iso8859-8"] = "iso-8859-8";
supportedEncodings["iso88598"] = "iso-8859-8";
supportedEncodings["iso_8859-8"] = "iso-8859-8";
supportedEncodings["iso_8859-8:1988"] = "iso-8859-8";
supportedEncodings["visual"] = "iso-8859-8";
supportedEncodings["csiso88598i"] = "iso-8859-8i";
supportedEncodings["iso-8859-8-i"] = "iso-8859-8i";
supportedEncodings["logical"] = "iso-8859-8i";
supportedEncodings["csisolatin6"] = "iso-8859-10";
supportedEncodings["iso-8859-10"] = "iso-8859-10";
supportedEncodings["iso-ir-157"] = "iso-8859-10";
supportedEncodings["iso8859-10"] = "iso-8859-10";
supportedEncodings["iso885910"] = "iso-8859-10";
supportedEncodings["l6"] = "iso-8859-10";
supportedEncodings["latin6"] = "iso-8859-10";
supportedEncodings["iso-8859-13"] = "iso-8859-13";
supportedEncodings["iso8859-13"] = "iso-8859-13";
supportedEncodings["iso885913"] = "iso-8859-13";
supportedEncodings["iso-8859-14"] = "iso-8859-14";
supportedEncodings["iso8859-14"] = "iso-8859-14";
supportedEncodings["iso885914"] = "iso-8859-14";
supportedEncodings["csisolatin9"] = "iso-8859-15";
supportedEncodings["iso-8859-15"] = "iso-8859-15";
supportedEncodings["iso8859-15"] = "iso-8859-15";
supportedEncodings["iso885915"] = "iso-8859-15";
supportedEncodings["l9"] = "iso-8859-15";
supportedEncodings["latin9"] = "iso-8859-15";
supportedEncodings["iso-8859-16"] = "iso-8859-16";
supportedEncodings["cskoi8r"] = "koi8-r";
supportedEncodings["koi"] = "koi8-r";
supportedEncodings["koi8"] = "koi8-r";
supportedEncodings["koi8-r"] = "koi8-r";
supportedEncodings["koi8_r"] = "koi8-r";
supportedEncodings["koi8-u"] = "koi8-u";
supportedEncodings["csmacintosh"] = "macintosh";
supportedEncodings["mac"] = "macintosh";
supportedEncodings["macintosh"] = "macintosh";
supportedEncodings["x-mac-roman"] = "macintosh";
supportedEncodings["dos-874"] = "windows-874";
supportedEncodings["iso-8859-11"] = "windows-874";
supportedEncodings["iso8859-11"] = "windows-874";
supportedEncodings["iso885911"] = "windows-874";
supportedEncodings["tis-620"] = "windows-874";
supportedEncodings["windows-874"] = "windows-874";
supportedEncodings["cp1250"] = "windows-1250";
supportedEncodings["windows-1250"] = "windows-1250";
supportedEncodings["x-cp1250"] = "windows-1250";
supportedEncodings["cp1251"] = "windows-1251";
supportedEncodings["windows-1251"] = "windows-1251";
supportedEncodings["x-cp1251"] = "windows-1251";
supportedEncodings["ansi_x3.4-1968"] = "windows-1252";
supportedEncodings["ascii"] = "windows-1252";
supportedEncodings["cp1252"] = "windows-1252";
supportedEncodings["cp819"] = "windows-1252";
supportedEncodings["csisolatin1"] = "windows-1252";
supportedEncodings["ibm819"] = "windows-1252";
supportedEncodings["iso-8859-1"] = "windows-1252";
supportedEncodings["iso-ir-100"] = "windows-1252";
supportedEncodings["iso8859-1"] = "windows-1252";
supportedEncodings["iso88591"] = "windows-1252";
supportedEncodings["iso_8859-1"] = "windows-1252";
supportedEncodings["iso_8859-1:1987"] = "windows-1252";
supportedEncodings["l1"] = "windows-1252";
supportedEncodings["latin1"] = "windows-1252";
supportedEncodings["us-ascii"] = "windows-1252";
supportedEncodings["windows-1252"] = "windows-1252";
supportedEncodings["x-cp1252"] = "windows-1252";
supportedEncodings["cp1253"] = "windows-1253";
supportedEncodings["windows-1253"] = "windows-1253";
supportedEncodings["x-cp1253"] = "windows-1253";
supportedEncodings["cp1254"] = "windows-1254";
supportedEncodings["csisolatin5"] = "windows-1254";
supportedEncodings["iso-8859-9"] = "windows-1254";
supportedEncodings["iso-ir-148"] = "windows-1254";
supportedEncodings["iso8859-9"] = "windows-1254";
supportedEncodings["iso88599"] = "windows-1254";
supportedEncodings["iso_8859-9"] = "windows-1254";
supportedEncodings["iso_8859-9:1989"] = "windows-1254";
supportedEncodings["l5"] = "windows-1254";
supportedEncodings["latin5"] = "windows-1254";
supportedEncodings["windows-1254"] = "windows-1254";
supportedEncodings["x-cp1254"] = "windows-1254";
supportedEncodings["cp1255"] = "windows-1255";
supportedEncodings["windows-1255"] = "windows-1255";
supportedEncodings["x-cp1255"] = "windows-1255";
supportedEncodings["cp1256"] = "windows-1256";
supportedEncodings["windows-1256"] = "windows-1256";
supportedEncodings["x-cp1256"] = "windows-1256";
supportedEncodings["cp1257"] = "windows-1257";
supportedEncodings["windows-1257"] = "windows-1257";
supportedEncodings["x-cp1257"] = "windows-1257";
supportedEncodings["cp1258"] = "windows-1258";
supportedEncodings["windows-1258"] = "windows-1258";
supportedEncodings["x-cp1258"] = "windows-1258";
supportedEncodings["x-mac-cyrillic"] = "x-mac-cyrillic";
supportedEncodings["x-mac-ukrainian"] = "x-mac-cyrillic";
supportedEncodings["chinese"] = "gbk";
supportedEncodings["csgb2312"] = "gbk";
supportedEncodings["csiso58gb231280"] = "gbk";
supportedEncodings["gb2312"] = "gbk";
supportedEncodings["gb_2312"] = "gbk";
supportedEncodings["gb_2312-80"] = "gbk";
supportedEncodings["gbk"] = "gbk";
supportedEncodings["iso-ir-58"] = "gbk";
supportedEncodings["x-gbk"] = "gbk";
supportedEncodings["gb18030"] = "gb18030";
supportedEncodings["hz-gb-2312"] = "hz-gb-2312";
supportedEncodings["big5"] = "big5";
supportedEncodings["big5-hkscs"] = "big5";
supportedEncodings["cn-big5"] = "big5";
supportedEncodings["csbig5"] = "big5";
supportedEncodings["x-x-big5"] = "big5";
supportedEncodings["cseucpkdfmtjapanese"] = "euc-jp";
supportedEncodings["euc-jp"] = "euc-jp";
supportedEncodings["x-euc-jp"] = "euc-jp";
supportedEncodings["csiso2022jp"] = "iso-2022-jp";
supportedEncodings["csshiftjis"] = "shift-jis";
supportedEncodings["ms_kanji"] = "shift-jis";
supportedEncodings["shift-jis"] = "shift-jis";
supportedEncodings["shift_jis"] = "shift-jis";
supportedEncodings["sjis"] = "shift-jis";
supportedEncodings["windows-31j"] = "shift-jis";
supportedEncodings["x-sjis"] = "shift-jis";
supportedEncodings["cseuckr"] = "euc-kr";
supportedEncodings["csksc56011987"] = "euc-kr";
supportedEncodings["euc-kr"] = "euc-kr";
supportedEncodings["iso-ir-149"] = "euc-kr";
supportedEncodings["korean"] = "euc-kr";
supportedEncodings["ks_c_5601-1987"] = "euc-kr";
supportedEncodings["ks_c_5601-1989"] = "euc-kr";
supportedEncodings["ksc5601"] = "euc-kr";
supportedEncodings["ksc_5601"] = "euc-kr";
supportedEncodings["windows-949"] = "euc-kr";
supportedEncodings["csiso2022kr"] = "iso-2022-kr";
supportedEncodings["iso-2022-kr"] = "iso-2022-kr";
supportedEncodings["utf-16be"] = "utf-16be";
supportedEncodings["utf-16"] = "utf-16le";
supportedEncodings["utf-16le"] = "utf-16le";
supportedEncodings["x-user-defined"] = "x-user-defined";
supportedEncodings["iso-2022-cn"] = "replacement";
supportedEncodings["iso-2022-cn-ext"] = "replacement";

export default supportedEncodings;
